module ModTest10A interface;

export
  ModTestA = (i);

var
  i: integer;


end.


module ModTest10A implementation;

end.


module ModTest10B interface;

export
  ModTestB = (i);

var
  i: integer;


end.


module ModTest10B implementation;

end.


program Test(output);

import
  ModTestA qualified;  (* BUG: `Qualified' not yet supported. *)
  ModTestB qualified;

begin
  i := -9;  (* WRONG *)
  writeln('failed');
end.
